<nz-drawer
  [nzVisible]="isVisible"
  [nzClosable]="false"
  (nzOnClose)="doClose()"
  nzWidth="{{ drawerWidth }}px"
  [nzBodyStyle]="getNzDrawerBodyStyle()"
  [nzMask]="false"
>
  <ng-container *nzDrawerContent>
    <div class="full-height full-width flex-row">
      <div
        sqtmCoreResizable
        class="full-height full-width flex-column resize-handler"
        (resize)="handleResize($event)"
      ></div>
      @if (localTheme) {
        <div
          class="full-height full-width flex-column p-l-20 p-t-10"
          [sqtmCoreWorkspace]="localTheme"
          [localTheme]="true"
        >
          <ng-container *ngTemplateOutlet="contentTemplate"></ng-container>
        </div>
      } @else {
        <div class="full-height full-width flex-column p-l-20 p-t-10">
          <ng-container *ngTemplateOutlet="contentTemplate"></ng-container>
        </div>
      }
    </div>
  </ng-container>
</nz-drawer>

<ng-template #contentTemplate>
  <div class="flex-fixed-size flex-row title m-5">
    <div
      class="__hover_pointer"
      (click)="doClose()"
      [attr.data-test-button-id]="'close-drawer'"
    >
      <i nz-icon nzType="close" nzTheme="outline"></i>
    </div>
    <ng-content select="[projection=icons]"></ng-content>
    <div style="margin-left: auto" class="m-r-10 current-workspace-main-color">
      {{ titleKey | translate }}
    </div>
  </div>
  <div class="full-height">
    <ng-content></ng-content>
  </div>
</ng-template>
